//
//  SearchTextField.h
//  SearchTextField
//
//  Created by Prachi Gauriar on Tue Mar 25 2003.
//  Copyright (c) 2003 Prachi Gauriar. All rights reserved.
//

#import <AppKit/AppKit.h>

@class SearchTextFieldCell;

@interface SearchTextField : NSTextField
{
    BOOL searchesIncrementally;
}

+ (Class)cellClass;

- (void)awakeFromNib;
- (void)mouseDown:(NSEvent *)theEvent;
- (void)resetCursorRects;

- (BOOL)isFirstResponder;
- (BOOL)becomeFirstResponder;

// Set this if you want to search after each character is added
- (BOOL)searchesIncrementally;
- (void)setSearchesIncrementally:(BOOL)aBoolean;

- (NSString *)titleOfSelectedPopUpItem;

// Use this method to add menu items to the list
// If you need to access menu items, message the control's cell

    //  DO NOT EVER ACCESS THE MENU ITEM AT INDEX 0
//  IT IS A BLANK ITEM REQUIRED SO THAT THE MENU
//  DISPLAYS CORRECTLY
- (void)addPopUpMenuItemsWithTitles:(NSArray *)itemTitles;

@end
