//
//  SearchTextFieldCell.h
//  SearchTextField
//
//  Created by Prachi Gauriar on Mon Mar 24 2003.
//  Copyright (c) 2003 Prachi Gauriar. All rights reserved.
//


//  DO NOT EVER ACCESS THE MENU ITEM AT INDEX 0
//  IT IS A BLANK ITEM REQUIRED SO THAT THE MENU
//  DISPLAYS CORRECTLY

#import <AppKit/AppKit.h>

@class STFPopUpButtonCell;

@interface SearchTextFieldCell : NSTextFieldCell
{
    BOOL hasPopUpButton;
    STFPopUpButtonCell *popUpButtonCell;

    NSImage *_leftImage;
    NSImage *_middleImage;
    NSImage *_rightImage;
    NSImage *_popUpImage;
    NSImage *_cancelImage;

    BOOL _shouldShowCancelButton;
    BOOL _shouldShowSelectedPopUpItem;
}

- (id)initWithCoder:(NSCoder *)coder;
- (void)encodeWithCoder:(NSCoder *)coder;

- (id)initTextCell:(NSString *)aString;
- (void)dealloc;

- (BOOL)hasPopUpButton;
- (void)setHasPopUpButton:(BOOL)aBoolean;

- (STFPopUpButtonCell *)popUpButtonCell;

- (void)drawWithFrame:(NSRect)cellFrame inView:(NSView *)controlView;
- (void)editWithFrame:(NSRect)aRect inView:(NSView *)controlView editor:(NSText *)textObj
             delegate:(id)anObject event:(NSEvent *)theEvent;
- (void)selectWithFrame:(NSRect)aRect inView:(NSView *)controlView editor:(NSText *)textObj
               delegate:(id)anObject start:(int)selStart length:(int)selLength;

- (void)cancelButtonClickedWithFrame:(NSRect)aFrame inView:(NSView *)aView;
- (void)popUpButtonClickedWithFrame:(NSRect)aFrame inView:(NSView *)aView;
- (void)searchSubmittedFromView:(NSView *)controlView;

- (void)showSelectedPopUpItem:(BOOL)shouldShow;

- (NSBezierPath *)fieldOutlinePathForRect:(NSRect)aRect;
- (NSRect)cancelButtonRectFromRect:(NSRect)aRect;
- (NSRect)popUpButtonRectFromRect:(NSRect)aRect;
- (NSRect)textFieldRectFromRect:(NSRect)aRect;

@end
